std::lock_guard< _Mutex > Class Template Reference

## Public Types

typedef _Mutex | mutex_type

## Public Member Functions

| lock_guard (const lock_guard &)=delete
| lock_guard (mutex_type &__m)
| lock_guard (mutex_type &__m, adopt_lock_t) noexcept
lock_guard & | operator= (const lock_guard &)=delete

## Detailed Description

### template<typename _Mutex>
class std::lock_guard< _Mutex >

A simple scoped lock type.

A lock_guard controls mutex ownership within a scope, releasing ownership in the destructor.

Definition at line 223 of file std_mutex.h.

The documentation for this class was generated from the following file:

- std_mutex.h